## org.eclipse.m2m.qvt.oml.blackbox.java
Enum Operation.Kind

    java.lang.Object
      java.lang.Enum<Operation.Kind>
          org.eclipse.m2m.qvt.oml.blackbox.java.Operation.Kind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Operation.Kind>

Enclosing class:
  Operation

    public static enum Operation.Kind

extends java.lang.Enum<Operation.Kind>

Indicates the `kind` of the annotated operation with respect to semantics in the QVT Abstract Syntax meta-model.

See Also:
  `Operation`

Enum Constant Summary
`HELPER` The operation is defined as `helper`, an imperative operation with possible side-effect.
`OPERATION` The operation is defined as normal operation.
`QUERY` The operation is defined as`query`, a side-effect free imperative operation.

Method Summary
`static Operation.Kind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Operation.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HELPER

    public static final Operation.Kind HELPER

  The operation is defined as `helper`, an imperative operation with possible side-effect.

### QUERY

    public static final Operation.Kind QUERY

  The operation is defined as`query`, a side-effect free imperative operation.

### OPERATION

    public static final Operation.Kind OPERATION

  The operation is defined as normal operation. If the associated operation is defined as `contextual`, the Typedef class is used to represent it as additional operation in the owning `Module` class.

Method Detail

### values

    public static Operation.Kind[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Operation.Kind c : Operation.Kind.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Operation.Kind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.